> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastenantbrokersettings.md).

# Set-RASTenantBrokerSettings.md

## NAME

Set-RASTenantBrokerSettings

## SYNOPSIS

Updates the default Tenant Broker Settings.

## SYNTAX

\*\*Set-RASTenantBrokerSettings \[[AllowRegistrationWithSecretKey](#allowregistrationwithsecretkey-string) *(bool)*] \[[BrokerAddress](#brokeraddress-string) *(string)*] \[[HideBillingInfo](#hidebillinginfo-string) *(bool)*] \[[OverrideAddress](#overrideaddress-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[[TenantDomain](#tenantdomain-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Updates the default Tenant Broker Settings.

## PARAMETERS

## SiteId (uint)

Site ID for which to modify the Tenant Broker settings.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## BrokerAddress (string)

IP Address to be used when registering a tenant, when the OverrideAddress is set.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HideBillingInfo (bool)

When set, billing information is not provided in the Licensing category of Tenants joined with secret keys.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## OverrideAddress (bool)

Override Tenant Broker address in tenant invitations and secret keys.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TenantDomain (string)

Public domain address used to register the tenants. If you want to register tenants as subdomains, specify the domain part of the host name. For example, to use "subdomain.domain.com" as a tenant hosts name, specify "domain.com".

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowRegistrationWithSecretKey (bool)

Allow RAS Sites to register in Tenant Broker using a secret key.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASTenantBrokerSettings -OverrideAddress $true

Updates the Tenant Broker Settings to use the global broker address.

## RELATED LINKS

* [Get-RASTenantBrokerSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastenantbrokersettings.md)
* [Invoke-RASTenantBrokerSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rastenantbrokersettings.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastenantbrokersettings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
